/**
 * JOnAS: Java(TM) Open Application Server
 * Copyright (C) 2009 Bull S.A.S.
 * Contact: jonas-team@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id: AuditConsoleTreeBranchEJBVO.as 19356 2010-03-04 21:02:36Z mancelin $
 * --------------------------------------------------------------------------
 */

package org.ow2.jonas.admin.auditconsole.vo {

/**
 * Tree branch for EJB container.
 */
public class AuditConsoleTreeBranchEJBVO extends AuditConsoleTreeBranchVO {

    [Embed("/../assets/bean.png")]
    public static const beanIcon:Class;

    [Embed("/../assets/beanpack.png")]
    public static const beanPackIcon:Class;

    [Embed("/../assets/methode.png")]
    public static const methodIcon:Class;

    private const easybeansIcon:String = "beanIcon";
    /**
     * Constructor.
     */
    public function AuditConsoleTreeBranchEJBVO(label:String, target:String) {
        super(label, easybeansIcon, target);
    }
}
}